Skip to main content
GET
/
v1
/
projects
/
{projectID}
/
sources
List all sources
curl --request GET \
  --url https://us.getconvoy.cloud/api/v1/projects/{projectID}/sources \
  --header 'Authorization: <api-key>'
import requests

url = "https://us.getconvoy.cloud/api/v1/projects/{projectID}/sources"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://us.getconvoy.cloud/api/v1/projects/{projectID}/sources', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "<string>",
  "status": true,
  "data": {
    "content": [
      {
        "body_function": "<string>",
        "created_at": "<string>",
        "custom_response": {
          "body": "<string>",
          "content_type": "<string>"
        },
        "deleted_at": "<string>",
        "forward_headers": [
          "<string>"
        ],
        "header_function": "<string>",
        "idempotency_keys": [
          "<string>"
        ],
        "is_disabled": true,
        "mask_id": "<string>",
        "name": "<string>",
        "project_id": "<string>",
        "provider_config": {
          "twitter": {
            "crc_verified_at": "<string>"
          }
        },
        "pub_sub": {
          "amqp": {
            "host": "<string>",
            "auth": {
              "password": "<string>",
              "user": "<string>"
            },
            "bindedExchange": "<string>",
            "deadLetterExchange": "<string>",
            "port": "<string>",
            "queue": "<string>",
            "routingKey": "<string>",
            "schema": "<string>",
            "vhost": "<string>"
          },
          "google": {
            "project_id": "<string>",
            "service_account": [
              123
            ],
            "subscription_id": "<string>"
          },
          "kafka": {
            "auth": {
              "hash": "<string>",
              "password": "<string>",
              "tls": true,
              "type": "<string>",
              "username": "<string>"
            },
            "brokers": [
              "<string>"
            ],
            "consumer_group_id": "<string>",
            "topic_name": "<string>"
          },
          "sqs": {
            "access_key_id": "<string>",
            "default_region": "<string>",
            "endpoint": "<string>",
            "queue_name": "<string>",
            "secret_key": "<string>"
          },
          "workers": 123
        },
        "uid": "<string>",
        "updated_at": "<string>",
        "url": "<string>",
        "verifier": {
          "api_key": {
            "header_name": "<string>",
            "header_value": "<string>"
          },
          "basic_auth": {
            "password": "<string>",
            "username": "<string>"
          },
          "hmac": {
            "hash": "<string>",
            "header": "<string>",
            "secret": "<string>"
          }
        }
      }
    ],
    "pagination": {
      "has_next_page": true,
      "has_prev_page": true,
      "next_page_cursor": "<string>",
      "per_page": 123,
      "prev_page_cursor": "<string>"
    }
  }
}
{
  "message": "<string>",
  "status": true,
  "data": {}
}
{
  "message": "<string>",
  "status": true,
  "data": {}
}
{
  "message": "<string>",
  "status": true,
  "data": {}
}

Authorizations

Authorization
string
header
required

Path Parameters

projectID
string
required

Project ID

Query Parameters

direction
enum<string>
Available options:
next,
prev
next_page_cursor
string

A pagination cursor to fetch the next page of a list

perPage
integer

The number of items to return per page

prev_page_cursor
string

A pagination cursor to fetch the previous page of a list

provider
string

The custom source provider e.g. twitter, shopify

sort
string

Sort order, values are ASC or DESC, defaults to DESC

type
string

The source type e.g. http, pub_sub

Response

OK

message
string
status
boolean
data
object